はじめに

OC4Jで動作するWebアプリケーションをJSPで開発します。

JSPの開発に必要なもの

  • Java 2 SDK, Standard Edition(ここではバージョン1.4.2のものを使います)
  • JSP 1.2を実行可能なアプリケーション・サーバ(ここではOC4J 10g Release 2 (10.1.2)を使います)
  • データベースサーバ(ここではOracle Database 10g Relese 1を使います)

JSP

  • ディレクティプ要素
  • アクション要素
  • スクリプティング要素
ディレクティプ要素
アクション要素
スクリプティング要素

 暗黙オブジェクト

JDBC

リソース

教科書

10日でおぼえるJSP/サーブレット入門教室 第2版

10日でおぼえるJSP/サーブレット入門教室 第3版

MVCについて

トップ 新規 編集 差分 一覧 ソース 検索 ヘルプ PDF RSS ログイン